/* Lehasoft Tetris Mobile 2006
   Copyright (c) Alexey Inkin, Lehasoft (1996-2006), GetSoft.ru, leha@inkin.ru

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  */

package Interface;

import Main.*;
import javax.microedition.lcdui.*;

public class ControlDialogue extends Form implements CommandListener, Localizable
{
    private Tetris      m_objApplication;
    private Localizer   m_objLocalizer;
    
    private Command     m_cmdOK = new Command("OK", Command.OK, 0);
    
    public ControlDialogue(Tetris objApplication, Localizer objLocalizer)
    {
        super("");
        
        m_objApplication = objApplication;
        m_objLocalizer = objLocalizer;
        
        setCommandListener(this);
        addCommand(m_cmdOK);
        localize();
    }
    
    public void commandAction(Command cmd, Displayable d)
    {
        m_objApplication.onBack();
    }
    
    public void localize()
    {
        deleteAll();
        append(m_objLocalizer.get(Localizer.S_CONTROL_KEYS_CONTENT));
        setTitle(m_objLocalizer.get(Localizer.S_CONTROL_KEYS));
    }
}